Macro.add('consume', {
	skipArgs : false,
	handler  : function () {
		try {
			const consumable = this.args[0];
			const percentage = this.args[1];
			State.variables.pc.consume(consumable,percentage);
		}
		catch (ex) {
			return this.error('Error: ' + ex.message);
		}
	}
});